Update the seller business identity + EU-VAT registration
PUT
/admin/v1/business-identity
const url = 'https://your-store.example.com/admin/v1/business-identity';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","siren":"example","address":{"name":"example","company":"example","line1":"example","line2":"example","city":"example","postalCode":"example","country":"example"},"originCountry":"example","vatNumber":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://your-store.example.com/admin/v1/business-identity \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "siren": "example", "address": { "name": "example", "company": "example", "line1": "example", "line2": "example", "city": "example", "postalCode": "example", "country": "example" }, "originCountry": "example", "vatNumber": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
address
Example generated
{ "name": "example", "siren": "example", "address": { "name": "example", "company": "example", "line1": "example", "line2": "example", "city": "example", "postalCode": "example", "country": "example" }, "originCountry": "example", "vatNumber": "example"}